package com.ruoyi.wzCk.ckDetail.domain;

import java.math.BigDecimal;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 物资出库明细_基础数据对象 wz_outbound_order_b
 * 
 * @author ruoyi
 * @date 2023-08-10
 */
public class WzOutboundOrderB extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 物料编码 */
    @Excel(name = "物料编码")
    private String wlbm;

    /** 物料名称 */
    @Excel(name = "物料名称")
    private String wlmc;

    /** 规格型号 */
    @Excel(name = "规格型号")
    private String ggxh;

    /** 牌号 */
    @Excel(name = "牌号")
    private String ph;

    /** 详细技术规范 */
    @Excel(name = "详细技术规范")
    private String xxjsgf;

    /** 技术标准 */
    @Excel(name = "技术标准")
    private String jsbz;

    /** 质量等级 */
    @Excel(name = "质量等级")
    private String zldj;

    /** 封装形式 */
    @Excel(name = "封装形式")
    private String fzxs;

    /** 生产厂家 */
    @Excel(name = "生产厂家")
    private String sccj;

    /** 国产进口 */
    @Excel(name = "国产进口")
    private String gcjk;

    /** 采购单价 */
    @Excel(name = "采购单价")
    private BigDecimal cgdj;

    /** 内部单价 */
    @Excel(name = "内部单价")
    private BigDecimal nbdj;

    /** 备料计划单据号 */
    @Excel(name = "备料计划单据号")
    private String bljhdjh;

    /** 行号 */
    @Excel(name = "行号")
    private String hh;

    /** 出库日期 */
    @Excel(name = "出库日期")
    private String ckrq;

    /** 实发主数量 */
    @Excel(name = "实发主数量")
    private BigDecimal sfzsl;

    /** 应发主数量 */
    @Excel(name = "应发主数量")
    private BigDecimal yfzsl;

    /** 入库批次号 */
    @Excel(name = "入库批次号")
    private String rkpch;

    /** 型号规格技术指标 */
    @Excel(name = "型号规格技术指标")
    private String xhgljszb;

    /** 工序单号 */
    @Excel(name = "工序单号")
    private String gxdh;

    /** DPA号 */
    @Excel(name = "DPA号")
    private String dpah;

    /** 合格证上传情况 */
    @Excel(name = "合格证上传情况")
    private String hgzscqk;

    /** 质保有效期 */
    @Excel(name = "质保有效期")
    private String zbyxq;

    /** 外观标识 */
    @Excel(name = "外观标识")
    private String wgbs;

    /** 供应商批次号 */
    @Excel(name = "供应商批次号")
    private String gyspch;

    /** 库位号 */
    @Excel(name = "库位号")
    private String kwh;

    /** 质保单位 */
    @Excel(name = "质保单位")
    private String zbdw;

    /** 质保依据 */
    @Excel(name = "质保依据")
    private String zbyj;

    /** 任务号 */
    @Excel(name = "任务号")
    private String rwh;

    /** 元器件分类 */
    @Excel(name = "元器件分类")
    private String yqjfl;

    /** 出库备注 */
    @Excel(name = "出库备注")
    private String ckbz;

    /** 出库单表头主键 */
    @Excel(name = "出库单表头主键")
    private String ckdbtzj;

    /** 出库单表体主键 */
    @Excel(name = "出库单表体主键")
    private String ckdbtizj;

    /** 来源单据号 */
    @Excel(name = "来源单据号")
    private String lydjh;

    /** 来源单类型编码 */
    @Excel(name = "来源单类型编码")
    private String lydlxbm;

    /** 来源交易类型主键 */
    @Excel(name = "来源交易类型主键")
    private String lyjylxzj;

    /** 件数 */
    @Excel(name = "件数")
    private String js;

    /** 条码 */
    @Excel(name = "条码")
    private String tm;

    /** 出库单号 */
    @Excel(name = "出库单号")
    private String ckdh;

    /** 复验单位 */
    @Excel(name = "复验单位")
    private String fydw;

    /** 最新时间戳 */
    @Excel(name = "最新时间戳")
    private String zxsjc;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setWlbm(String wlbm) 
    {
        this.wlbm = wlbm;
    }

    public String getWlbm() 
    {
        return wlbm;
    }
    public void setWlmc(String wlmc) 
    {
        this.wlmc = wlmc;
    }

    public String getWlmc() 
    {
        return wlmc;
    }
    public void setGgxh(String ggxh) 
    {
        this.ggxh = ggxh;
    }

    public String getGgxh() 
    {
        return ggxh;
    }
    public void setPh(String ph) 
    {
        this.ph = ph;
    }

    public String getPh() 
    {
        return ph;
    }
    public void setXxjsgf(String xxjsgf) 
    {
        this.xxjsgf = xxjsgf;
    }

    public String getXxjsgf() 
    {
        return xxjsgf;
    }
    public void setJsbz(String jsbz) 
    {
        this.jsbz = jsbz;
    }

    public String getJsbz() 
    {
        return jsbz;
    }
    public void setZldj(String zldj) 
    {
        this.zldj = zldj;
    }

    public String getZldj() 
    {
        return zldj;
    }
    public void setFzxs(String fzxs) 
    {
        this.fzxs = fzxs;
    }

    public String getFzxs() 
    {
        return fzxs;
    }
    public void setSccj(String sccj) 
    {
        this.sccj = sccj;
    }

    public String getSccj() 
    {
        return sccj;
    }
    public void setGcjk(String gcjk) 
    {
        this.gcjk = gcjk;
    }

    public String getGcjk() 
    {
        return gcjk;
    }
    public void setCgdj(BigDecimal cgdj) 
    {
        this.cgdj = cgdj;
    }

    public BigDecimal getCgdj() 
    {
        return cgdj;
    }
    public void setNbdj(BigDecimal nbdj) 
    {
        this.nbdj = nbdj;
    }

    public BigDecimal getNbdj() 
    {
        return nbdj;
    }
    public void setBljhdjh(String bljhdjh) 
    {
        this.bljhdjh = bljhdjh;
    }

    public String getBljhdjh() 
    {
        return bljhdjh;
    }
    public void setHh(String hh) 
    {
        this.hh = hh;
    }

    public String getHh() 
    {
        return hh;
    }
    public void setCkrq(String ckrq) 
    {
        this.ckrq = ckrq;
    }

    public String getCkrq() 
    {
        return ckrq;
    }
    public void setSfzsl(BigDecimal sfzsl) 
    {
        this.sfzsl = sfzsl;
    }

    public BigDecimal getSfzsl() 
    {
        return sfzsl;
    }
    public void setYfzsl(BigDecimal yfzsl) 
    {
        this.yfzsl = yfzsl;
    }

    public BigDecimal getYfzsl() 
    {
        return yfzsl;
    }
    public void setRkpch(String rkpch) 
    {
        this.rkpch = rkpch;
    }

    public String getRkpch() 
    {
        return rkpch;
    }
    public void setXhgljszb(String xhgljszb) 
    {
        this.xhgljszb = xhgljszb;
    }

    public String getXhgljszb() 
    {
        return xhgljszb;
    }
    public void setGxdh(String gxdh) 
    {
        this.gxdh = gxdh;
    }

    public String getGxdh() 
    {
        return gxdh;
    }
    public void setDpah(String dpah) 
    {
        this.dpah = dpah;
    }

    public String getDpah() 
    {
        return dpah;
    }
    public void setHgzscqk(String hgzscqk) 
    {
        this.hgzscqk = hgzscqk;
    }

    public String getHgzscqk() 
    {
        return hgzscqk;
    }
    public void setZbyxq(String zbyxq) 
    {
        this.zbyxq = zbyxq;
    }

    public String getZbyxq() 
    {
        return zbyxq;
    }
    public void setWgbs(String wgbs) 
    {
        this.wgbs = wgbs;
    }

    public String getWgbs() 
    {
        return wgbs;
    }
    public void setGyspch(String gyspch) 
    {
        this.gyspch = gyspch;
    }

    public String getGyspch() 
    {
        return gyspch;
    }
    public void setKwh(String kwh) 
    {
        this.kwh = kwh;
    }

    public String getKwh() 
    {
        return kwh;
    }
    public void setZbdw(String zbdw) 
    {
        this.zbdw = zbdw;
    }

    public String getZbdw() 
    {
        return zbdw;
    }
    public void setZbyj(String zbyj) 
    {
        this.zbyj = zbyj;
    }

    public String getZbyj() 
    {
        return zbyj;
    }
    public void setRwh(String rwh) 
    {
        this.rwh = rwh;
    }

    public String getRwh() 
    {
        return rwh;
    }
    public void setYqjfl(String yqjfl) 
    {
        this.yqjfl = yqjfl;
    }

    public String getYqjfl() 
    {
        return yqjfl;
    }
    public void setCkbz(String ckbz) 
    {
        this.ckbz = ckbz;
    }

    public String getCkbz() 
    {
        return ckbz;
    }
    public void setCkdbtzj(String ckdbtzj) 
    {
        this.ckdbtzj = ckdbtzj;
    }

    public String getCkdbtzj() 
    {
        return ckdbtzj;
    }
    public void setCkdbtizj(String ckdbtizj) 
    {
        this.ckdbtizj = ckdbtizj;
    }

    public String getCkdbtizj() 
    {
        return ckdbtizj;
    }
    public void setLydjh(String lydjh) 
    {
        this.lydjh = lydjh;
    }

    public String getLydjh() 
    {
        return lydjh;
    }
    public void setLydlxbm(String lydlxbm) 
    {
        this.lydlxbm = lydlxbm;
    }

    public String getLydlxbm() 
    {
        return lydlxbm;
    }
    public void setLyjylxzj(String lyjylxzj) 
    {
        this.lyjylxzj = lyjylxzj;
    }

    public String getLyjylxzj() 
    {
        return lyjylxzj;
    }
    public void setJs(String js) 
    {
        this.js = js;
    }

    public String getJs() 
    {
        return js;
    }
    public void setTm(String tm) 
    {
        this.tm = tm;
    }

    public String getTm() 
    {
        return tm;
    }
    public void setCkdh(String ckdh) 
    {
        this.ckdh = ckdh;
    }

    public String getCkdh() 
    {
        return ckdh;
    }
    public void setFydw(String fydw) 
    {
        this.fydw = fydw;
    }

    public String getFydw() 
    {
        return fydw;
    }
    public void setZxsjc(String zxsjc) 
    {
        this.zxsjc = zxsjc;
    }

    public String getZxsjc() 
    {
        return zxsjc;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("wlbm", getWlbm())
            .append("wlmc", getWlmc())
            .append("ggxh", getGgxh())
            .append("ph", getPh())
            .append("xxjsgf", getXxjsgf())
            .append("jsbz", getJsbz())
            .append("zldj", getZldj())
            .append("fzxs", getFzxs())
            .append("sccj", getSccj())
            .append("gcjk", getGcjk())
            .append("cgdj", getCgdj())
            .append("nbdj", getNbdj())
            .append("bljhdjh", getBljhdjh())
            .append("hh", getHh())
            .append("ckrq", getCkrq())
            .append("sfzsl", getSfzsl())
            .append("yfzsl", getYfzsl())
            .append("rkpch", getRkpch())
            .append("xhgljszb", getXhgljszb())
            .append("gxdh", getGxdh())
            .append("dpah", getDpah())
            .append("hgzscqk", getHgzscqk())
            .append("zbyxq", getZbyxq())
            .append("wgbs", getWgbs())
            .append("gyspch", getGyspch())
            .append("kwh", getKwh())
            .append("zbdw", getZbdw())
            .append("zbyj", getZbyj())
            .append("rwh", getRwh())
            .append("yqjfl", getYqjfl())
            .append("ckbz", getCkbz())
            .append("ckdbtzj", getCkdbtzj())
            .append("ckdbtizj", getCkdbtizj())
            .append("lydjh", getLydjh())
            .append("lydlxbm", getLydlxbm())
            .append("lyjylxzj", getLyjylxzj())
            .append("js", getJs())
            .append("tm", getTm())
            .append("ckdh", getCkdh())
            .append("fydw", getFydw())
            .append("zxsjc", getZxsjc())
            .toString();
    }
}
